//
// sls.cc for sls
//
// Made by Seblu
// Login   <seblu@epita.fr>
//
//

#include "sls.hh"
#include "option.hh"
#include "database.hh"
#include "server.hh"
#include "error.hh"

int main(int argc, char *argv[])
{
  static Option O;
  static Database D;
  //   static Server S;

  try {
    O.load(argc, argv);

    O.loadenv();

    D.open(O.database);

//   S.start();

//   S.listen();

    D.close();

    return ERR_NO;
  }
  catch (const Error &e) {
    e.print();
    return e.code();
  }
}
